<ion-header [translucent]="true">
  <ion-toolbar color="secondary">
    <ion-title>
      Register
    </ion-title>
  </ion-toolbar>
</ion-header>
  
    <ion-content [fullscreen]="true" class="ion-padding" color="primary">
      <ion-card >

      <form [formGroup]="accountForm" (ngSubmit)="Register()">

  
        <ion-item color="tertiary">
          <ion-label position="floating">First Name</ion-label>
          <ion-input formControlName="firstName"></ion-input>
        </ion-item>
      
      <ion-item color="tertiary">
        <ion-label position="floating">Middle Name</ion-label>
        <ion-input formControlName="middleName"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary"> 
        <ion-label position="floating">Last Name</ion-label>
        <ion-input formControlName="lastName"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary">
        <ion-label position="floating">Gender</ion-label>
        <ion-input formControlName="Gender"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary">
        <ion-label position="floating">Age</ion-label>
        <ion-input formControlName="Age"></ion-input>
      </ion-item>
     
      <ion-item color="tertiary">
        <ion-label position="floating">Contact Number</ion-label>
        <ion-input formControlName="contactNumber"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary">
        <ion-label position="floating">Address</ion-label>
        <ion-input formControlName="Address"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary">
        <ion-label position="floating">Email</ion-label>
        <ion-input  formControlName="Email"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary">
        <ion-label position="floating">Password</ion-label>
        <ion-input formControlName="Password" type="password"></ion-input>
      </ion-item>

      <ion-item color="tertiary">
        <ion-label position="floating">Confirm Password</ion-label>
        <ion-input formControlName="confirmPassword" type="password"></ion-input>
      </ion-item>
      
      <ion-item color="tertiary">
        <ion-button color="warning" (click)="Register()" [disabled]="accountForm.invalid">
          <ion-icon size="small" slot="icon-only" name="add"></ion-icon>
          &nbsp;Register</ion-button>

          <ion-button color="danger" (click)="Cancel()" >
            <ion-icon size="small" slot="icon-only" name="close"></ion-icon>
            &nbsp;Cancel</ion-button>
      </ion-item>
      
        
      
      </form>
      </ion-card>

    </ion-content>  
